# Home Assistant - Albert Python Extension

An [Albert](https://albertlauncher.github.io/) extention to view and control devices in your [HomeAssistant](https://www.home-assistant.io/) instance.

This extension is heavily inspired by the home assistant extesnsion for ulauncher from [qcasey](https://github.com/qcasey/ulauncher-homeassistant).

![Demo](./ha_demo.gif)

## Requirements

To use this extension, you need the Python `requests` library: 

```
pip install requests
```

## Configuration

You need to specify the URL and [API Key](https://developers.home-assistant.io/docs/api/rest/¦) of your Home Assistant instance in the configuration file (e.g. location: `$HOME/.config/albert/homeassistant_config.json`).
You can generate a new long lived API Key by clicking your name in the bottom left in the Home Assistant UI.

## Usage
`<trigger> <entity search>`

You can see the actions by pressing the `alt` key.

### ToDo

 - renew icons (.svg)
 - test more device classes and adjust which service to call
 - sort items: name matching first

## Contributing

I welcome all issues and contributions! You can send patches per email to dev-at-hoellen.eu or open a PR/issue.
